## pd-moonlib 0.2

=== Makefile ===
## Pd library template version 1.0.5
# For instructions on how to use this template, see:
#  http://puredata.info/docs/developer/MakefileTemplate
LIBRARY_NAME = moonlib

# add your .c source files, one object per file, to the SOURCES
# variable, help files will be included automatically
SOURCES = absolutepath.c basedir.c char2f.c comma.c dinlet~.c dispatch.c dripchar.c f2char.c gamme.c image.c mknob.c panvol~.c popen.c relativepath.c s2f.c sarray.c sfread2~.c slist.c ssaw~.c tabdump2.c tabenv.c tabreadl.c tabsort2.c tabsort.c wac.c 

# For objects that only build on certain platforms, add those to the SOURCES
# line for the right platforms.
SOURCES_linux = readsfv~.c

# list all pd objects (i.e. myobject.pd) files here, and their helpfiles will
# be included automatically
PDOBJECTS = 

# example patches and related files, in the 'examples' subfolder
EXAMPLES = pause.gif play.gif playy.gif rec.gif saww.gif sin.gif sinw.gif squarew.gif d0.gif d10.gif d11.gif d12.gif d13.gif d14.gif d15.gif d16.gif d17.gif d18.gif d19.gif d1.gif d20.gif d21.gif d22.gif d23.gif d24.gif d25.gif d26.gif d27.gif d28.gif d29.gif d2.gif d30.gif d31.gif d32.gif d33.gif d34.gif d35.gif d36.gif d37.gif d38.gif d39.gif d3.gif d40.gif d41.gif d42.gif d43.gif d44.gif d45.gif d46.gif d47.gif d48.gif d49.gif d4.gif d50.gif d51.gif d52.gif d53.gif d54.gif d55.gif d56.gif d57.gif d58.gif d59.gif d5.gif d60.gif d61.gif d62.gif d63.gif d6.gif d7.gif d8.gif d9.gif

# manuals and related files, in the 'manual' subfolder
MANUAL = 

# if you want to include any other files in the source and binary tarballs,
# list them here.  This can be anything from header files, test patches,
# documentation, etc.  README.txt and LICENSE.txt are required and therefore
# automatically included
EXTRA_DIST = XFS.txt



#------------------------------------------------------------------------------#
#
# things you might need to edit if you are using other C libraries
#
#------------------------------------------------------------------------------#

CFLAGS = -DPD -I"$(PD_INCLUDE)" -Wall -W -g
LDFLAGS =  
LIBS = 

#------------------------------------------------------------------------------#
#
# you shouldn't need to edit anything below here, if we did it right :)
#
#------------------------------------------------------------------------------#

# get library version from meta file
LIBRARY_VERSION = $(shell sed -n 's|^\#X text [0-9][0-9]* [0-9][0-9]* VERSION \(.*\);|\1|p' $(LIBRARY_NAME)-meta.pd)

CFLAGS += -DVERSION='"$(LIBRARY_VERSION)"'

PD_INCLUDE = $(PD_PATH)/include
# where to install the library, overridden below depending on platform
prefix = /usr/local
libdir = $(prefix)/lib
pkglibdir = $(libdir)/pd-externals
objectsdir = $(pkglibdir)

INSTALL = install
INSTALL_PROGRAM = $(INSTALL) -p -m 644
INSTALL_DATA = $(INSTALL) -p -m 644
INSTALL_DIR     = $(INSTALL) -p -m 755 -d

ALLSOURCES := $(SOURCES) $(SOURCES_android) $(SOURCES_cygwin) $(SOURCES_macosx) \
	         $(SOURCES_iphoneos) $(SOURCES_linux) $(SOURCES_windows)

DISTDIR=$(LIBRARY_NAME)-$(LIBRARY_VERSION)
ORIGDIR=pd-$(LIBRARY_NAME:~=)_$(LIBRARY_VERSION)

UNAME := $(shell uname -s)
ifeq ($(UNAME),Darwin)
  CPU := $(shell uname -p)
  ifeq ($(CPU),arm) # iPhone/iPod Touch
    SOURCES += $(SOURCES_iphoneos)
    EXTENSION = pd_darwin
    OS = iphoneos
    PD_PATH = /Applications/Pd-extended.app/Contents/Resources
    IPHONE_BASE=/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin
    CC=$(IPHONE_BASE)/gcc
    CPP=$(IPHONE_BASE)/cpp
    CXX=$(IPHONE_BASE)/g++
    ISYSROOT = -isysroot /Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS3.0.sdk
    IPHONE_CFLAGS = -miphoneos-version-min=3.0 $(ISYSROOT) -arch armv6
    OPT_CFLAGS = -fast -funroll-loops -fomit-frame-pointer
	CFLAGS := $(IPHONE_CFLAGS) $(OPT_CFLAGS) $(CFLAGS)
    LDFLAGS += -arch armv6 -bundle -undefined dynamic_lookup $(ISYSROOT)
    LIBS += -lc 
    STRIP = strip -x
    DISTBINDIR=$(DISTDIR)-$(OS)
  else # Mac OS X
    SOURCES += $(SOURCES_macosx)
    EXTENSION = pd_darwin
    OS = macosx
    PD_PATH = /Applications/Pd-extended.app/Contents/Resources
    OPT_CFLAGS = -ftree-vectorize -ftree-vectorizer-verbose=2 -fast
# build universal 32-bit on 10.4 and 32/64 on newer
    ifeq ($(shell uname -r | sed 's|\([0-9][0-9]*\)\.[0-9][0-9]*\.[0-9][0-9]*|\1|'), 8)
      FAT_FLAGS = -arch ppc -arch i386 -mmacosx-version-min=10.4
    else
      FAT_FLAGS = -arch ppc -arch i386 -arch x86_64 -mmacosx-version-min=10.4
      SOURCES += $(SOURCES_iphoneos)
    endif
    CFLAGS += $(FAT_FLAGS) -fPIC -I/sw/include
    LDFLAGS += $(FAT_FLAGS) -bundle -undefined dynamic_lookup -L/sw/lib
    # if the 'pd' binary exists, check the linking against it to aid with stripping
    LDFLAGS += $(shell test -e $(PD_PATH)/bin/pd && echo -bundle_loader $(PD_PATH)/bin/pd)
    LIBS += -lc 
    STRIP = strip -x
    DISTBINDIR=$(DISTDIR)-$(OS)
# install into ~/Library/Pd on Mac OS X since /usr/local isn't used much
    pkglibdir=$(HOME)/Library/Pd
  endif
endif
ifeq ($(UNAME),Linux)
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_linux)
  EXTENSION = pd_linux
  OS = linux
  PD_PATH = /usr
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  CFLAGS += -fPIC
  LDFLAGS += -Wl,--export-dynamic  -shared -fPIC
  LIBS += -lc
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq (CYGWIN,$(findstring CYGWIN,$(UNAME)))
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_cygwin)
  EXTENSION = dll
  OS = cygwin
  PD_PATH = $(cygpath $(PROGRAMFILES))/pd
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  CFLAGS += 
  LDFLAGS += -Wl,--export-dynamic -shared -L"$(PD_PATH)/src" -L"$(PD_PATH)/bin"
  LIBS += -lc -lpd
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)
endif
ifeq (MINGW,$(findstring MINGW,$(UNAME)))
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_windows)
  EXTENSION = dll
  OS = windows
  PD_PATH = $(shell cd "$(PROGRAMFILES)"/pd && pwd)
  OPT_CFLAGS = -O3 -funroll-loops -fomit-frame-pointer
  WINDOWS_HACKS = -D'O_NONBLOCK=1'
  CFLAGS += -mms-bitfields $(WINDOWS_HACKS)
  LDFLAGS += -s -shared -Wl,--enable-auto-import
  LIBS += -L"$(PD_PATH)/src" -L"$(PD_PATH)/bin" -L"$(PD_PATH)/obj" -lpd -lwsock32 -lkernel32 -luser32 -lgdi32
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)
endif

# in case somebody manually set the HELPPATCHES above
HELPPATCHES ?= $(SOURCES:.c=-help.pd) $(PDOBJECTS:.pd=-help.pd)

CFLAGS += $(OPT_CFLAGS)


.PHONY = install libdir_install single_install install-doc install-exec install-examples install-manual clean dist etags $(LIBRARY_NAME)

all: $(SOURCES:.c=.$(EXTENSION))

%.o: %.c
	$(CC) $(CFLAGS) -o "$*.o" -c "$*.c"

%.$(EXTENSION): %.o
	$(CC) $(LDFLAGS) -o "$*.$(EXTENSION)" "$*.o"  $(LIBS)
	chmod a-x "$*.$(EXTENSION)"

# this links everything into a single binary file
$(LIBRARY_NAME): $(SOURCES:.c=.o) $(LIBRARY_NAME).o
	$(CC) $(LDFLAGS) -o $(LIBRARY_NAME).$(EXTENSION) $(SOURCES:.c=.o) $(LIBRARY_NAME).o $(LIBS)
	chmod a-x $(LIBRARY_NAME).$(EXTENSION)

install: libdir_install

# The meta and help files are explicitly installed to make sure they are
# actually there.  Those files are not optional, then need to be there.
libdir_install: $(SOURCES:.c=.$(EXTENSION)) install-doc install-examples install-manual
	$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	$(INSTALL_DATA) $(LIBRARY_NAME)-meta.pd \
		$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	test -z "$(strip $(SOURCES))" || (\
		$(INSTALL_PROGRAM) $(SOURCES:.c=.$(EXTENSION)) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME) && \
		$(STRIP) $(addprefix $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/,$(SOURCES:.c=.$(EXTENSION))))
	test -z "$(strip $(PDOBJECTS))" || \
		$(INSTALL_DATA) $(PDOBJECTS) \
			$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)

# install library linked as single binary
single_install: $(LIBRARY_NAME) install-doc install-exec
	$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	$(INSTALL_PROGRAM) $(LIBRARY_NAME).$(EXTENSION) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	$(STRIP) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/$(LIBRARY_NAME).$(EXTENSION)

install-doc:
	$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	test -z "$(strip $(SOURCES) $(PDOBJECTS))" || \
		$(INSTALL_DATA) $(HELPPATCHES) \
			$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	$(INSTALL_DATA) README.txt $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/README.txt
	$(INSTALL_DATA) LICENSE.txt $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/LICENSE.txt

install-examples:
	test -z "$(strip $(EXAMPLES))" || \
		$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/examples && \
		for file in $(EXAMPLES); do \
			$(INSTALL_DATA) examples/$$file $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/examples; \
		done

install-manual:
	test -z "$(strip $(MANUAL))" || \
		$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/manual && \
		for file in $(MANUAL); do \
			$(INSTALL_DATA) manual/$$file $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/manual; \
		done


clean:
	-rm -f -- $(SOURCES:.c=.o) $(SOURCES_LIB:.c=.o)
	-rm -f -- $(SOURCES:.c=.$(EXTENSION))
	-rm -f -- $(LIBRARY_NAME).o
	-rm -f -- $(LIBRARY_NAME).$(EXTENSION)

distclean: clean
	-rm -f -- $(DISTBINDIR).tar.gz
	-rm -rf -- $(DISTBINDIR)
	-rm -f -- $(DISTDIR).tar.gz
	-rm -rf -- $(DISTDIR)
	-rm -f -- $(ORIGDIR).tar.gz
	-rm -rf -- $(ORIGDIR)


$(DISTBINDIR):
	$(INSTALL_DIR) $(DISTBINDIR)

libdir: all $(DISTBINDIR)
	$(INSTALL_DATA) $(LIBRARY_NAME)-meta.pd  $(DISTBINDIR)
	$(INSTALL_DATA) $(SOURCES)  $(DISTBINDIR)
	$(INSTALL_DATA) $(HELPPATCHES) $(DISTBINDIR)
	test -z "$(strip $(EXTRA_DIST))" || \
		$(INSTALL_DATA) $(EXTRA_DIST)    $(DISTBINDIR)
#	tar --exclude-vcs -czpf $(DISTBINDIR).tar.gz $(DISTBINDIR)

$(DISTDIR):
	$(INSTALL_DIR) $(DISTDIR)

$(ORIGDIR):
	$(INSTALL_DIR) $(ORIGDIR)

dist: $(DISTDIR)
	$(INSTALL_DATA) Makefile  $(DISTDIR)
	$(INSTALL_DATA) README.txt $(DISTDIR)
	$(INSTALL_DATA) LICENSE.txt $(DISTDIR)
	$(INSTALL_DATA) $(LIBRARY_NAME)-meta.pd  $(DISTDIR)
	test -z "$(strip $(ALLSOURCES))" || \
		$(INSTALL_DATA) $(ALLSOURCES)  $(DISTDIR)
	test -z "$(strip $(PDOBJECTS))" || \
		$(INSTALL_DATA) $(PDOBJECTS)  $(DISTDIR)
	test -z "$(strip $(HELPPATCHES))" || \
		$(INSTALL_DATA) $(HELPPATCHES) $(DISTDIR)
	test -z "$(strip $(EXTRA_DIST))" || \
		$(INSTALL_DATA) $(EXTRA_DIST)    $(DISTDIR)
	test -z "$(strip $(EXAMPLES))" || \
		$(INSTALL_DIR) $(DISTDIR)/examples && \
		for file in $(EXAMPLES); do \
			$(INSTALL_DATA) examples/$$file $(DISTDIR)/examples; \
		done
	test -z "$(strip $(MANUAL))" || \
		$(INSTALL_DIR) $(DISTDIR)/manual && \
		for file in $(MANUAL); do \
			$(INSTALL_DATA) manual/$$file $(DISTDIR)/manual; \
		done
	tar --exclude-vcs -czpf $(DISTDIR).tar.gz $(DISTDIR)

# make a Debian source package
dpkg-source:
	debclean
	make distclean dist
	mv $(DISTDIR) $(ORIGDIR)
	tar --exclude-vcs -czpf ../$(ORIGDIR).orig.tar.gz $(ORIGDIR)
	rm -f -- $(DISTDIR).tar.gz
	rm -rf -- $(DISTDIR) $(ORIGDIR)
	cd .. && dpkg-source -b $(LIBRARY_NAME)

etags:
	etags *.h $(SOURCES) ../../pd/src/*.[ch] /usr/include/*.h /usr/include/*/*.h

showsetup:
	@echo "CFLAGS: $(CFLAGS)"
	@echo "LDFLAGS: $(LDFLAGS)"
	@echo "LIBS: $(LIBS)"
	@echo "PD_INCLUDE: $(PD_INCLUDE)"
	@echo "PD_PATH: $(PD_PATH)"
	@echo "objectsdir: $(objectsdir)"
	@echo "LIBRARY_NAME: $(LIBRARY_NAME)"
	@echo "LIBRARY_VERSION: $(LIBRARY_VERSION)"
	@echo "SOURCES: $(SOURCES)"
	@echo "PDOBJECTS: $(PDOBJECTS)"
	@echo "ALLSOURCES: $(ALLSOURCES)"
	@echo "UNAME: $(UNAME)"
	@echo "CPU: $(CPU)"
	@echo "pkglibdir: $(pkglibdir)"
	@echo "DISTDIR: $(DISTDIR)"
	@echo "ORIGDIR: $(ORIGDIR)"

=== debian/changelog ===
pd-moonlib (0.2-2) unstable; urgency=low

  * Team upload

  [ Hans-Christoph Steiner ]
  * documented the LGPL-2.1 files
  * added DM-Upload-Allowed: yes since I'm now a DM
  * updated Build-Depends to use puredata-dev when available
  * bumped standards version to 3.9.2
  * added Vcs-* stanzas

  [ Felipe Sateler ]
  * Drop quilt since we use the 3.0 source format
  * Depend on real package puredata as default alternative

 -- Felipe Sateler <fsateler@debian.org>  Wed, 22 Jun 2011 19:07:59 -0400

pd-moonlib (0.2-1) unstable; urgency=low

  * Initial release (Closes: #591737)

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 10 Nov 2010 15:36:13 -0500

=== debian/control ===
Source: pd-moonlib
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Hans-Christoph Steiner <hans@eds.org>
Build-Depends: debhelper (>= 7.0.50~),
               puredata-dev | puredata (<< 0.43)
Standards-Version: 3.9.2
Homepage: http://puredata.info
Vcs-Git: git://git.debian.org/pkg-multimedia/pd-moonlib.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/pd-moonlib.git

Package: pd-moonlib
Architecture: any
Depends: ${shlibs:Depends},
         puredata | pd,
         pd-libdir,
         ${misc:Depends}
Description: library of Pd objects related to GUI control
 Moonlib includes three sub-sections: nilib, which is a kind of wrapper
 between Pd and Gtk, sublib, which is a collection of gui control objects, and
 other, which are miscellaneous objects:
 .
  * tabenv: like env~, an enveloppe follower, but computing on a table,
            so possibly much speeder than real-time env~'s computation
  * tabsort, tabsort2: returns the indices of the sorted table,
                       tabsort2 is bidimentionnal
  * gamme: one octave of a piano keyboard used to filter/choose 
           notes in a selected scale
  * absolutepath/relativepath: to use files (sounds, texts, presets,
                               images, programs...) nested in the patch's
                               directory (and in subdirs)
  * sarray and slist: to creates shared dynamic arrays or lists with symbols
  * sfread2~ and readsfv~: to pitch the direct-from-disk reading of sound files
  * dinlet~: an inlet~ with a default value (when nothing is connected to it)
  * mknob: a round knob ala iemgui vslider (with its "properties" window)
  * dispatch: creates one bus name for many buttons' buses: from the 
              N pairs (slider1-snd/slider1-rcv) ... (sliderN-snd/sliderN-rcv),
              creates only one pair of buses named (slider-snd/slider-rcv),
              in which datas are prepended by the number of the "sub-bus"
  * joystik: an improvment of Joseph A. Sarlo's joystick
  * image: an improvment  of Guenter Geiger's one. Same name, but it's
           compatible. Here you can share images through different objects, 
           preload a list of images, and animate this list.

=== debian/rules ===
#!/usr/bin/make -f

LIBRARY_NAME = moonlib
PACKAGE = pd-$(LIBRARY_NAME)
pkglibdir = /usr/lib/pd/extra

%:
	dh $@ --buildsystem=makefile

override_dh_auto_install:
	dh_auto_install -- prefix=/usr pkglibdir=$(pkglibdir)
# replace license file with link to the Debian license file
	rm -f -- $(CURDIR)/debian/$(PACKAGE)/$(pkglibdir)/$(LIBRARY_NAME)/LICENSE.txt

override_dh_shlibdeps:
	dpkg-shlibdeps $(CURDIR)/debian/$(PACKAGE)$(pkglibdir)/$(LIBRARY_NAME)/*.pd_linux \
		-T$(CURDIR)/debian/$(PACKAGE).substvars

=== debian/watch ===
version=3
http://sf.net/pure-data/moonlib-(.*)\.tar\.gz

## pd-moonlib 0.3.4~repack

=== Makefile ===
# Makefile to build class 'moonlib' for Pure Data.
# Needs Makefile.pdlibbuilder as helper makefile for platform-dependent build
# settings and rules.
#
# use : make pdincludepath=/path/to/pure-data/src/
#
# The following command will build the external and install the distributable 
# files into a subdirectory called build/moonlib :
#
# make install pdincludepath=../pure-data/src/ objectsdir=./build

lib.name = moonlib

uname := $(shell uname -s)
ifeq (MINGW,$(findstring MINGW,$(uname)))
ldlibs = -lpthread
endif

objects = char2f comma dispatch dripchar f2char f2s gamme image mknob panvol~ \
s2f sarray sfread2~ slist ssaw~ tabdump2 tabenv tabreadl tabsort2 tabsort ndmetro

ifneq (MINGW,$(findstring MINGW,$(uname)))
objects += absolutepath basedir dinlet~ popen readsfv~ relativepath wac
endif

class.sources = $(addsuffix .c,$(objects))

# all extra files to be included in binary distribution of the library
datafiles = \
$(addsuffix -help.pd,$(objects)) \
moonlib-meta.pd \
image.tcl \
LICENSE.txt \
README.txt

datadirs = img
cflags = -Wno-unused -Wno-unused-parameter 

include pd-lib-builder/Makefile.pdlibbuilder

=== debian/changelog ===
pd-moonlib (0.3.4~repack-2) unstable; urgency=medium

  * Use system-provided Makefile.pd-lib-builder
  * Stripped externals
  * Fixed typos in package description
  * Adjusted path in lintian-override

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 05 Jan 2017 20:12:30 +0100

pd-moonlib (0.3.4~repack-1) unstable; urgency=medium

  * New upstream version 0.3.4~repack

  [ Hans-Christoph Steiner ]
  * Updated to copyright-format/1.0
  * Updated Depends: pd to use puredata 0.43 style
  * Removed 'DM-Upload-Allowed: yes', its deprecated

  [ IOhannes m zmölnig ]
  * Added myself to uploaders
  * Updated Vcs-* stanzas to https://
  * Demoted pd-libdir to Recommends
  * Filtered-out '.git*' and '*.dll' when importing
  * Removed obsolete patches
  * Updated homepage field (github)
  * Updated d/watch
  * Updated d/copyright
  * Dropped arch-specific optimisation and pass hardening flags
  * Bumped compat to 9 (for hardening flags)
  * Bumped standards-version to 3.9.8

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 28 Oct 2016 23:42:39 +0200

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,24 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
-Uploaders: Hans-Christoph Steiner <hans@eds.org>
-Build-Depends: debhelper (>= 7.0.50~),
-               puredata-dev | puredata (<< 0.43)
-Standards-Version: 3.9.2
-Homepage: http://puredata.info
-Vcs-Git: git://git.debian.org/pkg-multimedia/pd-moonlib.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/pd-moonlib.git
+Uploaders: Hans-Christoph Steiner <hans@eds.org>,
+ IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
+Build-Depends:
+ debhelper,
+ puredata-dev | puredata (<< 0.43),
+ pd-lib-builder,
+Standards-Version: 3.9.8
+Homepage: https://github.com/MetaluNet/moonlib/
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/pd-moonlib.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/pd-moonlib.git
 
 Package: pd-moonlib
 Architecture: any
 Depends: ${shlibs:Depends},
-         puredata | pd,
+         ${misc:Depends},
+         puredata-core | pd,
+Recommends:
          pd-libdir,
-         ${misc:Depends}
 Description: library of Pd objects related to GUI control
  Moonlib includes three sub-sections: nilib, which is a kind of wrapper
  between Pd and Gtk, sublib, which is a collection of gui control objects, and
@@ -39,7 +42,7 @@
               N pairs (slider1-snd/slider1-rcv) ... (sliderN-snd/sliderN-rcv),
               creates only one pair of buses named (slider-snd/slider-rcv),
               in which datas are prepended by the number of the "sub-bus"
-  * joystik: an improvment of Joseph A. Sarlo's joystick
-  * image: an improvment  of Guenter Geiger's one. Same name, but it's
+  * joystik: an improvement of Joseph A. Sarlo's joystick
+  * image: an improvement  of Guenter Geiger's one. Same name, but it's
            compatible. Here you can share images through different objects, 
            preload a list of images, and animate this list.

=== debian/rules ===
#!/usr/bin/make -f

LIBRARY_NAME = moonlib
PACKAGE = pd-$(LIBRARY_NAME)
pkglibdir = /usr/lib/pd/extra

%:
	dh $@ --buildsystem=makefile

override_dh_auto_build:
	dh_auto_build -- \
		arch.flags="" \
		CPPFLAGS="$(CPPFLAGS)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		$(empty)
override_dh_auto_install:
	dh_auto_install -- \
		prefix=/usr \
		pkglibdir=$(pkglibdir) \
		arch.flags="" \
		CPPFLAGS="$(CPPFLAGS)" \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		$(empty)
# replace license file with link to the Debian license file
	rm -f -- $(CURDIR)/debian/$(PACKAGE)/$(pkglibdir)/$(LIBRARY_NAME)/LICENSE.txt

override_dh_shlibdeps:
	dpkg-shlibdeps $(CURDIR)/debian/$(PACKAGE)$(pkglibdir)/$(LIBRARY_NAME)/*.pd_linux \
		-T$(CURDIR)/debian/$(PACKAGE).substvars
override_dh_strip:
	dh_strip
	find debian -name "*.pd_linux" -exec \
		strip --remove-section=.comment --remove-section=.note --strip-unneeded {} +

## pd-moonlib 0.3.6

=== Makefile ===
# Makefile to build class 'moonlib' for Pure Data.
# Needs Makefile.pdlibbuilder as helper makefile for platform-dependent build
# settings and rules.
#
# use : make pdincludepath=/path/to/pure-data/src/
#
# The following command will build the external and install the distributable
# files into a subdirectory called build/moonlib :
#
# make install pdincludepath=../pure-data/src/ objectsdir=./build

lib.name = moonlib

uname := $(shell uname -s)
ifeq (MINGW,$(findstring MINGW,$(uname)))
ldlibs = -lpthread
endif

objects = char2f comma dispatch dripchar f2char f2s gamme image mknob panvol~ \
s2f sarray sfread2~ slist ssaw~ tabdump2 tabenv tabreadl tabsort2 tabsort ndmetro lcdbitmap

ifneq (MINGW,$(findstring MINGW,$(uname)))
objects += absolutepath basedir dinlet~ popen readsfv~ relativepath wac
endif

class.sources = $(addsuffix .c,$(objects))

# all extra files to be included in binary distribution of the library
datafiles = \
    $(addsuffix -help.pd,$(objects)) \
    moonlib-meta.pd \
    image.tcl \
    LICENSE.txt \
    README.txt

datadirs = img

cflags = -Wno-unused -Wno-unused-parameter

PDLIBBUILDER_DIR=pd-lib-builder/
include $(firstword $(wildcard $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder Makefile.pdlibbuilder))

update-pdlibbuilder:
	git submodule update --init pd-lib-builder
	cp pd-lib-builder/Makefile.pdlibbuilder .

=== debian/changelog ===
pd-moonlib (0.3.6-1) unstable; urgency=medium

  * New upstream version 0.3.6
    (Closes: #792724)

  * Dropped unused patches
  * Updated d/copyright
  * Bumped standards to 4.0.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 16 Aug 2017 15:39:29 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  debhelper,
  puredata-dev | puredata (<< 0.43),
  pd-lib-builder,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: https://github.com/MetaluNet/moonlib/
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/pd-moonlib.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/pd-moonlib.git

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 LIBRARY_NAME = moonlib
 PACKAGE = pd-$(LIBRARY_NAME)
 pkglibdir = /usr/lib/pd/extra
+
+export PDLIBBUILDER_DIR=/usr/share/pd-lib-builder/Makefile.pdlibbuilder
 
 %:
 	dh $@ --buildsystem=makefile

## pd-moonlib 0.4

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,9 @@
 endif
 
 objects = char2f comma dispatch dripchar f2char f2s gamme image mknob panvol~ \
-s2f sarray sfread2~ slist ssaw~ tabdump2 tabenv tabreadl tabsort2 tabsort ndmetro lcdbitmap
+s2f sarray sfread2~ slist ssaw~ tabdump2 tabenv tabreadl tabsort2 tabsort ndmetro
+
+# lcdbitmap
 
 ifneq (MINGW,$(findstring MINGW,$(uname)))
 objects += absolutepath basedir dinlet~ popen readsfv~ relativepath wac
@@ -37,11 +39,26 @@
 
 cflags = -Wno-unused -Wno-unused-parameter
 
-PDLIBBUILDER_DIR=pd-lib-builder/
-include $(firstword $(wildcard $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder Makefile.pdlibbuilder))
+PDLIBBUILDERDIR ?= .
+include $(PDLIBBUILDERDIR)/Makefile.pdlibbuilder
+
+VERSION = $(shell git describe --abbrev=4)
 
 update-pdlibbuilder:
-	git submodule update --init pd-lib-builder
-	cp pd-lib-builder/Makefile.pdlibbuilder .
-	
+	curl https://raw.githubusercontent.com/pure-data/pd-lib-builder/master/Makefile.pdlibbuilder > ./Makefile.pdlibbuilder
 
+deken-source:
+	@rm -rf build_src
+	@mkdir -p build_src/moonlib
+	@cp $(class.sources) _soundfile.c \
+		$(datafiles) Makefile.pdlibbuilder Makefile \
+			build_src/moonlib
+	@cp -r $(datadirs) build_src/moonlib
+	cd build_src/ ; deken upload -v $(VERSION) moonlib
+
+deken-binary:
+	@rm -rf build
+	@make install objectsdir=./build
+	cd build/ ; deken upload -v $(VERSION) moonlib
+
+

=== debian/changelog ===
pd-moonlib (0.4-1) unstable; urgency=medium

  * New upstream version 0.4
  * Declared that "root" is unneeded for building
  * Bumped standards version to 4.2.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 14 Sep 2018 21:18:47 +0200

pd-moonlib (0.3.6-3) unstable; urgency=medium

  * Switched to system-provided Makefile.pdlibbuilder (Closes: #889645)
    * Pass build-flags to all 'make' invocations

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 05 Feb 2018 14:42:53 +0100

pd-moonlib (0.3.6-2) unstable; urgency=medium

  * Simplified & unified d/rules
    * Bumped dh compat to 11
    * Enabled hardening
  * Updated Vcs-* stanzas to salsa.d.o
  * Updated maintainer address
  * Switched URLs to https://
  * Updated d/copyright(_hints)
  * Removed trailing whitespace in debian/*
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 01 Feb 2018 23:23:45 +0100

=== debian/control ===
Source: pd-moonlib
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Hans-Christoph Steiner <hans@eds.org>,
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper (>=11~),
 puredata-dev | puredata (<< 0.43),
 pd-lib-builder,
Standards-Version: 4.2.1
Rules-Requires-Root: no
Homepage: https://github.com/MetaluNet/moonlib/
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-moonlib.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-moonlib

Package: pd-moonlib
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 puredata-core | pd,
Recommends:
 pd-libdir,
Description: library of Pd objects related to GUI control
 Moonlib includes three sub-sections: nilib, which is a kind of wrapper
 between Pd and Gtk, sublib, which is a collection of gui control objects, and
 other, which are miscellaneous objects:
 .
  * tabenv: like env~, an enveloppe follower, but computing on a table,
            so possibly much speeder than real-time env~'s computation
  * tabsort, tabsort2: returns the indices of the sorted table,
                       tabsort2 is bidimentionnal
  * gamme: one octave of a piano keyboard used to filter/choose
           notes in a selected scale
  * absolutepath/relativepath: to use files (sounds, texts, presets,
                               images, programs...) nested in the patch's
                               directory (and in subdirs)
  * sarray and slist: to creates shared dynamic arrays or lists with symbols
  * sfread2~ and readsfv~: to pitch the direct-from-disk reading of sound files
  * dinlet~: an inlet~ with a default value (when nothing is connected to it)
  * mknob: a round knob ala iemgui vslider (with its "properties" window)
  * dispatch: creates one bus name for many buttons' buses: from the
              N pairs (slider1-snd/slider1-rcv) ... (sliderN-snd/sliderN-rcv),
              creates only one pair of buses named (slider-snd/slider-rcv),
              in which datas are prepended by the number of the "sub-bus"
  * joystik: an improvement of Joseph A. Sarlo's joystick
  * image: an improvement  of Guenter Geiger's one. Same name, but it's
           compatible. Here you can share images through different objects,
           preload a list of images, and animate this list.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2010 Hans-Christoph Steiner <hans@eds.org>
# Copyright © 2018 IOhannes m zmölnig <umlaeute@debian.org>

#enable hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
	^\./\.git/.*|\./debian/|\./img\/.*\.gif$

pkglibdir = /usr/lib/pd/extra

%:
	dh $@

override_dh_install:
	dh_install
# fix permissions
	find $(CURDIR)/debian/*/$(pkglibdir) -name "*.pd_linux" -exec \
		chmod 0664 {} +
# remove license file so we can replace it with link to the Debian license file
	rm -f -- $(CURDIR)/debian/*/$(pkglibdir)/*/LICENSE.txt

override_dh_auto_clean \
override_dh_auto_build \
override_dh_auto_test \
override_dh_auto_install:
	$(patsubst override_%,%,$@) -- \
		PDLIBBUILDER_DIR=/usr/share/pd-lib-builder/ \
		prefix=/usr pkglibdir=$(pkglibdir) \
		arch.flags="" \
		CPPFLAGS="$(CPPFLAGS)" \
		CFLAGS="$(CPPFLAGS) $(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		$(empty)

licensecheck:
	licensecheck -i "$(DEB_COPYRIGHT_CHECK_IGNORE_REGEX)" --deb-machine -r . \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
opts=dversionmangle=s/[~+](dfsg|repack)(\.[0-9]*)?$// \
  https://github.com/MetaluNet/moonlib/releases .*/v?(\d\S*)\.tar\.gz

## pd-moonlib 0.5

=== debian/changelog ===
pd-moonlib (0.5-3) unstable; urgency=medium

  * Explicitly set buildsystem to 'pd_lib_builder'
  * Remove superfluous deletion of LICENSE.txt prior to symlinking it.
  * Modernize 'licensecheck' target
    + Ensure that 'licensecheck' is run with the C.UTF-8 locale

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 07 Dec 2022 10:48:31 +0100

pd-moonlib (0.5-2) unstable; urgency=medium

  * Switch to dh-sequence-pd-lib-builder
    + Patch to use standard PDLIBBUILDER_DIR makefile var
  * Modernize 'licensecheck' target
    + Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 05 Dec 2022 10:55:42 +0100

pd-moonlib (0.5-1) unstable; urgency=medium

  * New upstream version 0.5

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 16 Nov 2022 16:56:57 +0100

pd-moonlib (0.4-3) unstable; urgency=medium

  * Update lintian-overrides

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 04 Sep 2022 14:05:26 +0200

pd-moonlib (0.4-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 13.
  * Set upstream metadata fields:
    Bug-Database, Bug-Submit, Repository, Repository-Browse.

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Removed Hans-Christoph Steiner from Uploaders as he requested
  * Add salsa-ci configuration
  * Remove obsolete file d/source/local-options
  * Update lintian-overrides for false-positives
  * Fix spelling mistakes
  * Update d/watch
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 12 Aug 2022 00:41:11 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,11 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
- Hans-Christoph Steiner <hans@eds.org>,
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper (>=11~),
- puredata-dev | puredata (<< 0.43),
- pd-lib-builder,
-Standards-Version: 4.2.1
+ debhelper-compat (= 13),
+ dh-sequence-pd-lib-builder,
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/MetaluNet/moonlib/
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-moonlib.git
@@ -18,11 +16,13 @@
 Package: pd-moonlib
 Architecture: any
 Depends:
+ ${misc:Depends},
+ ${puredata:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
- puredata-core | pd,
 Recommends:
- pd-libdir,
+ ${puredata:Recommends},
+Suggests:
+ ${puredata:Suggests},
 Description: library of Pd objects related to GUI control
  Moonlib includes three sub-sections: nilib, which is a kind of wrapper
  between Pd and Gtk, sublib, which is a collection of gui control objects, and
@@ -31,7 +31,7 @@
   * tabenv: like env~, an enveloppe follower, but computing on a table,
             so possibly much speeder than real-time env~'s computation
   * tabsort, tabsort2: returns the indices of the sorted table,
-                       tabsort2 is bidimentionnal
+                       tabsort2 is bidimensional
   * gamme: one octave of a piano keyboard used to filter/choose
            notes in a selected scale
   * absolutepath/relativepath: to use files (sounds, texts, presets,

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2010 Hans-Christoph Steiner <hans@eds.org>
# Copyright © 2018-2022 IOhannes m zmölnig <umlaeute@debian.org>

#enable hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all


%:
	dh $@ --buildsystem=pd_lib_builder

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
	debian/.*|img\/.*\.gif
# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=4
opts=dversionmangle=auto \
  https://github.com/MetaluNet/moonlib/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## pd-moonlib 0.7

=== Makefile ===
--- 
+++ 
@@ -39,8 +39,8 @@
 
 cflags = -Wno-unused -Wno-unused-parameter
 
-PDLIBBUILDERDIR ?= .
-include $(PDLIBBUILDERDIR)/Makefile.pdlibbuilder
+PDLIBBUILDER_DIR ?= .
+include $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder
 
 VERSION = $(shell git describe --abbrev=4)
 
@@ -59,6 +59,6 @@
 deken-binary:
 	@rm -rf build
 	@make install objectsdir=./build
-	cd build/ ; deken upload -v $(VERSION) moonlib
+	cd build/ ; deken upload --no-source-error -v $(VERSION) moonlib

=== debian/changelog ===
pd-moonlib (0.7-3) unstable; urgency=medium

  * Add patch to fix building with Pd64 (Closes: #1073349)
  * Add 'Provides' stanza
  * Switch to dh-sequence-puredata
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 17 Jun 2024 17:52:53 +0200

pd-moonlib (0.7-2) unstable; urgency=medium

  * Build for both single and double-precision Pd
  * Add lintian-overrides for false positives about underlinking

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 05 Jul 2023 15:24:35 +0200

pd-moonlib (0.7-1) unstable; urgency=medium

  * New upstream version 0.7
    + Drop patches applied upstream
  * Add versioned depends on Pd>=0.53
  * Update d/copyright
    + Bump copyright dates
  * Apply 'wrap-and-sort -ast'
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 13 Jun 2023 17:51:39 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-sequence-pd-lib-builder,
-Standards-Version: 4.6.1
+ dh-sequence-puredata,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/MetaluNet/moonlib/
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-moonlib.git
@@ -16,6 +16,7 @@
 Package: pd-moonlib
 Architecture: any
 Depends:
+ puredata-core (>= 0.53~),
  ${misc:Depends},
  ${puredata:Depends},
  ${shlibs:Depends},
@@ -23,6 +24,8 @@
  ${puredata:Recommends},
 Suggests:
  ${puredata:Suggests},
+Provides:
+ ${puredata:Provides},
 Description: library of Pd objects related to GUI control
  Moonlib includes three sub-sections: nilib, which is a kind of wrapper
  between Pd and Gtk, sublib, which is a collection of gui control objects, and
